# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetArrayDataLocal

Function

Returns a pointer to the start of memory of a local copy of the data stored in an Array.

Syntax
`
#include <dx/dx.h>
`

Pointer DXGetArrayDataLocal(Array a)

Functional Details

This routine performs the same operation as `DXGetArrayData`, on a machine without processor local memory.

On a machine with processor local memory, it performs the same operation as `DXGetArrayData`, after which, the Array data contents of `a` are copied to local memory. When you no longer need the local copy, `DXFreeArrayDataLocal` must be called.

The local data should be considered a read-only copy.

Return Value

Returns a pointer to the data or returns `NULL` and sets an error code.

See Also `DXFreeArrayDataLocal, DXGetArrayData`

12.3 , "Array Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]